#ifndef USEREDITORDIALOG_H
#define USEREDITORDIALOG_H

#include <QDialog>
#include <QDataWidgetMapper>
#include <QSqlTableModel>

namespace Ui {
    class UserEditorDialog;
}

class UserEditorDialog : public QDialog
{
    Q_OBJECT

public:
    UserEditorDialog(QWidget *parent = 0);
    ~UserEditorDialog();

private slots:
    void firstButton_Clicked();
    void prevButton_Clicked();
    void nextButton_Clicked();
    void lastButton_Clicked();
    void addButton_Clicked();
    void removeButton_Clicked();
    void submitButton_Clicked();

private:
    void setupModel();
    void setupMapper();
    void setupUi();

    Ui::UserEditorDialog *_ui;

    QSqlTableModel *_model;
    QDataWidgetMapper *_mapper; // felületi adattársító
};

#endif // USERTABLEDIALOG_HPP
